=== debian/changelog ===
spectrwm (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Change source and binary package name to spectrwm in order to be
    consistent with upstream's new naming choices.
    - Provide a transitional binary package for compatibility.
    - Add Pre-Depends: on dpkg (>= 1.15.7.2~) to properly migrate existing
      custom configuration files.
  * 104-skip-compatibility-symlinks.diff:
    - don't let upstream's build system handle compatibility symlinks.
  * 005-use-consistent-naming.diff:
    - merged upstream; dropped.
  * Update Standards-Version to 3.9.3 (no changes needed).

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 07 Mar 2012 23:10:57 +0100

scrotwm (0.11.0-1) unstable; urgency=low

  * New upstream release.
  * 005-use-consistent-naming.diff:
    - keep the spelling of the software name consistent.
  * Update Homepage: field accordingly.

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 11 Feb 2012 17:40:50 +0100

scrotwm (0.10.0-1) unstable; urgency=low

  * New upstream release.
  * Update Debian copyright file.
  * Update Vcs-* control fields.
  * Various packaging improvements.

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 28 Jan 2012 12:20:27 +0100

scrotwm (0.9.34-1) unstable; urgency=low

  * New upstream release.
  * 002-improve-man-page.diff:
    - improve English man page. Closes: #531844 (please allow one
      workspace to span multiple monitors).
  * 003-update-italian-man-page.diff:
    - bring Italian man page up-to-date.
  * Add README.Debian file. Closes: #552647 (suggest or recommend
    acpi and iostat).
  * Install Portuguese man page.
  * Drop .desktop file, it is now shipped upstream.
  * Update watch file to reflect new snapshot location.
  * Recommend suckless-tools, which replaces dwm-tools.
  * Add Depends: on libxtst-dev.
  * Use hardening build flags, as provided by dpkg-buildflags.
  * Update Debian copyright file to DEP5 candidate version.
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 11 Nov 2011 10:06:03 +0100

scrotwm (0.9.20-1) unstable; urgency=low

  * New upstream release:
    - Closes: #531790 (focus changes to the window in the background
      sometimes).
    - Closes: #531826 (doesn't play well with hidden windows).
    - Closes: #532569 (dialogs are always displayed on the first screen in
      a multi-head setup).
  * 002-check-before-preloading-libswmhack.diff:
    - libswmhack.so is installed now, so this patch is no longer needed.
  * 003-dont-use-hypen-as-minus-sign.diff:
    - merged upstream; dropped.
  * 102-remove-bash-and-openbsd-assumptions.diff:
    - call top correctly.
  * 103-try-versioned-dlopen.diff:
    - make libswmhack.so work even when libx11-dev and libxt-dev are not
      installed. Closes: #551732 (unable to run some applications because
      of LD_PRELOAD=/usr/.../libswmhack.so.0.0 in the environment).
  * Convert to 3.0 (quilt) source format.
  * Document patches according to DEP-3.

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 01 Dec 2009 17:29:54 +0100

scrotwm (0.9.8-1) unstable; urgency=low

  * New upstream release.
  * Build and install libswmhack.so.
  * 003-dont-use-hypen-as-minus-sign.diff: fix a common man page issue.
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 14 Sep 2009 11:13:35 +0200

scrotwm (0.9.5-1) unstable; urgency=low

  * New upstream release.
  * Remove bashisms from baraction.sh example script. (Closes: #530990)

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 30 May 2009 21:18:27 +0200

scrotwm (0.9.2-1) unstable; urgency=low

  * Initial release. (Closes: #514322)

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 19 Mar 2009 08:11:05 +0100
