=== debian/control ===
Source: spectrwm
Section: x11
Priority: optional
Maintainer: Andrea Bolognani <eof@kiyuko.org>
Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.16.1~), libx11-dev, libxt-dev, libxrandr-dev, libxtst-dev
Standards-Version: 3.9.3
Homepage: http://opensource.conformal.com/wiki/spectrwm
Vcs-Git: git://anonscm.debian.org/collab-maint/spectrwm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/spectrwm.git;a=summary

Package: spectrwm
Architecture: any
Provides: x-window-manager
Replaces: scrotwm (<< 1.0.0-1~)
Breaks: scrotwm (<< 1.0.0-1~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: suckless-tools, xterm | x-terminal-emulator, xfonts-terminus
Description: dynamic tiling window manager
 spectrwm is a minimalistic window manager that tries to stay out of the
 way so that valuable screen real estate can be used for much more
 important stuff.
 .
 It has sane defaults and does not require one to learn a language to do
 any configuration.
 .
 It was written by hackers for hackers and it strives to be small,
 compact and fast.

Package: scrotwm
Architecture: all
Section: oldlibs
Priority: extra
Pre-Depends: dpkg (>= 1.15.7.2~)
Depends: spectrwm, ${misc:Depends}
Description: dynamic tiling window manager (transitional package)
 spectrwm is a minimalistic window manager that tries to stay out of the
 way so that valuable screen real estate can be used for much more
 important stuff.
 .
 scrotwm is the old name for spectrwm. This transitional package is
 provided to ease upgrades; it also contains compatibility symlinks to
 ensure upgrading doesn't break a working setup. It can be safely
 deleted if backward compatibility with scrotwm is not needed.
