=== debian/watch ===
version=3
http://opensource.conformal.com/snapshots/spectrwm/spectrwm-([\d\.]+)\.tgz
