=== lib/Makefile ===
--- 
+++ 
@@ -7,10 +7,13 @@
 SRCS=	swm_hack.c
 LIBDIR= ${X11BASE}/lib
 
+CC?= cc
+
 DEBUGLIBS= no
 NOPROFILE= yes
 
-CFLAGS+=-Wall -Wno-uninitialized -ggdb3 -fPIC
+CFLAGS+= -std=c99 -Wmissing-prototypes -Wall -Wextra -Wshadow -Wno-uninitialized -g
+CFLAGS+= -fPIC
 CFLAGS+= -I${X11BASE}/include
 
 install:
