=== debian/changelog ===
spectrwm (2.6.0-1ubuntu2) wily; urgency=medium

  * No-change rebuild for libxcb-util.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Sep 2015 11:09:23 +0000

spectrwm (2.6.0-1ubuntu1) vivid; urgency=medium

  * debian/patches/linking-order.diff: Change linking order to fix FTBFS with
    ld --as-needed.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 06 Dec 2014 02:57:02 -0500

spectrwm (2.6.0-1) unstable; urgency=low

  * New upstream release.
    - Closes: #689226 (please package the latest version)
  * Stop building scrotwm transitional package.
  * Stop patching example files.
  * U01-improve-makefile.diff:
    - merged upstream; dropped.
  * U03-improve-english-man-page.diff:
    - merged upstream; dropped.
  * Move to debhelper compatibility level 9.
  * Update Standards-Version to 3.9.5 (no changes needed).

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 09 Sep 2014 22:24:57 +0200
