=== debian/control ===
Source: spectrwm
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrea Bolognani <eof@kiyuko.org>
Build-Depends: debhelper (>= 9),
               libx11-dev,
               libx11-xcb-dev,
               libxcursor-dev,
               libxrandr-dev,
               libxt-dev,
               libxtst-dev,
               libxcb1-dev,
               libxcb-icccm4-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-util0-dev,
               libxcb-xtest0-dev,
               libxft-dev
Standards-Version: 3.9.5
Homepage: http://spectrwm.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/spectrwm.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/spectrwm.git/

Package: spectrwm
Architecture: any
Provides: x-window-manager
Depends: suckless-tools,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: xterm | x-terminal-emulator, xfonts-terminus
Description: dynamic tiling window manager
 spectrwm is a small dynamic tiling window manager for X11.
 .
 It tries to stay out of the way so that valuable screen real estate can
 be used for much more important stuff. It has sane defaults and does not
 require one to learn a language to do any configuration.
 .
 It is written by hackers for hackers and it strives to be small, compact
 and fast.
