=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	dh_installexamples
 	dh_installchangelogs 
 	dh_installdocs
-	dh_installwm
+	dh_installwm /usr/bin/spectrwm
 	dh_strip
 	dh_compress
 	dh_link
@@ -45,4 +45,23 @@
 	dh_md5sums
 	dh_builddeb
 
-.PHONY: build clean binary binary-indep binary-arch
+# Rebuild the patches series by looking at the contents of the
+# debian/patches directory.
+#
+# Patches with names starting with D (Debian-specific) should be applied
+# after those with names starting with U (to be forwarded upstream).
+rebuild-patches-series:
+	@( \
+		SERIES=debian/patches/series; \
+		{ \
+			echo "# To rebuild this file, use \`debian/rules $@'"; \
+			for patch in debian/patches/U*.diff debian/patches/D*.diff; \
+			do \
+				test -f "$${patch}" || continue; \
+				patch=$$(basename "$${patch}"); \
+				echo "$${patch}"; \
+			done; \
+		} >"$${SERIES}"; \
+	)
+
+.PHONY: build clean binary binary-indep binary-arch rebuild-patches-series
