=== debian/changelog ===
spectrwm (3.0.2-1) unstable; urgency=low

  * New upstream release
    - Closes: #772431 (fix FTBFS with ld --as-needed)

  * Changes to default programs
    - Use slock as the default screen locking program
    - Verify all default programs on startup

  * Changes to package relationships
    - Upgrade x-terminal-emulator from Recommends: to Depends:
    - Add Depends: on libxt6
      - It gets dlopen()ed by libswmhack

  * New patches
    - U01-fix-man-errors.diff
    - U02-improve-linking.diff
      - Minimize library dependencies
    - U02-enable-pie.diff
      - Provide additional hardening

  * Updated patches
    - D01-adapt-libswmhack.diff
      - Simplify and make downstream only

  * Dropped patches
    - U02-update-italian-man-page.diff
      - Merged upstream
    - D03-make-default-programs-optional.diff
      - No longer needed (see above)

  * Other
    - Enable +bindnow hardening option
    - Update Homepage: and others to point to GitHub
    - Use HTTPS wherever possible
    - Update Standards-Version to 3.9.8
      - No changes needed

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 31 Jul 2016 19:45:51 +0200
