=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: spectrwm
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrea Bolognani <eof@kiyuko.org>
+Maintainer: Andrea Bolognani <eof@kiyuko.org>
 Build-Depends: debhelper (>= 9),
                libx11-dev,
                libx11-xcb-dev,
@@ -17,18 +16,20 @@
                libxcb-util0-dev,
                libxcb-xtest0-dev,
                libxft-dev
-Standards-Version: 3.9.5
-Homepage: http://spectrwm.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/spectrwm.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/spectrwm.git/
+Standards-Version: 3.9.8
+Homepage: https://github.com/conformal/spectrwm
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/spectrwm.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/spectrwm.git/
 
 Package: spectrwm
 Architecture: any
 Provides: x-window-manager
 Depends: suckless-tools,
+         xterm | x-terminal-emulator,
+         libxt6,
          ${shlibs:Depends},
          ${misc:Depends}
-Recommends: xterm | x-terminal-emulator, xfonts-terminus
+Recommends: xfonts-terminus
 Description: dynamic tiling window manager
  spectrwm is a small dynamic tiling window manager for X11.
  .
