=== debian/watch ===
version=4
https://github.com/conformal/spectrwm/releases \
	^.*/SPECTRWM_(\d+)_(\d+)_(\d+)\.tar\.gz$
