=== debian/changelog ===
spectrwm (3.1.0-2) unstable; urgency=low

  * autopkgtest
    - Add smoke test

  * debhelper
    - Switch to compat level 11

  * Other
    - Update Standards-Version to 4.1.3
      - No changes needed
    - Permit Rules-Requires-Root: no
    - Point Vcs-*: to salsa.debian.org

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 28 Jan 2018 18:18:45 +0100

spectrwm (3.1.0-1) unstable; urgency=medium

  * New upstream release

  * Patches
    - U01-fix-man-errors.diff
    - U02-improve-linking.diff
    - U03-enable-pie.diff
      - Dropped (merged upstream)

  * Other
    - Move to debhelper compatibility level 10
    - Update Standards-Version to 4.1.2
      - Use Format: https://... in Debian copyright file

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 30 Nov 2017 18:45:16 +0100
