=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Andrea Bolognani <eof@kiyuko.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                libx11-dev,
                libx11-xcb-dev,
                libxcursor-dev,
@@ -16,10 +16,11 @@
                libxcb-util0-dev,
                libxcb-xtest0-dev,
                libxft-dev
-Standards-Version: 3.9.8
+Rules-Requires-Root: no
+Standards-Version: 4.1.3
 Homepage: https://github.com/conformal/spectrwm
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/spectrwm.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/spectrwm.git/
+Vcs-Git: https://salsa.debian.org/debian/spectrwm.git
+Vcs-Browser: https://salsa.debian.org/debian/spectrwm
 
 Package: spectrwm
 Architecture: any
