=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 DPKG_EXPORT_BUILDFLAGS=1
 include /usr/share/dpkg/buildflags.mk
-
-DESTDIR=$(CURDIR)/debian/spectrwm
 
 build: build-indep build-arch
 build-indep: build-stamp
@@ -30,10 +28,10 @@
 	dh_prep
 	$(MAKE) -C linux/ install PREFIX=/usr \
 	                          LIBDIR=/usr/lib/spectrwm \
-	                          DESTDIR=$(DESTDIR)
+	                          DESTDIR=$(CURDIR)/debian/spectrwm
 	dh_install
 	dh_installexamples
-	dh_installchangelogs 
+	dh_installchangelogs
 	dh_installdocs
 	dh_installwm /usr/bin/spectrwm
 	dh_strip
