=== debian/watch ===
version=4
opts=\
filenamemangle=s/^.*(\d+)_(\d+)_(\d+).*$/spectrwm-$1.$2.$3.tar.gz/ \
\
https://github.com/conformal/spectrwm/releases \
^/conformal/spectrwm/archive/SPECTRWM_(\d+)_(\d+)_(\d+)\.tar\.gz$
