=== debian/changelog ===
spectrwm (3.2.0-1) unstable; urgency=low

  * New upstream release

  * Patches:
    - U01-install-more-files.diff
      - Extend upstream's build system to install additional files
        such as configuration files and documentation
    - U01-add-keywords-to-desktop-file.diff
      - Dropped (merged upstream)
    - D03-skip-compatibility-symlinks.diff
      - Dropped (no longer needed)

  * Other
    - Update Standards-Version to 4.2.1
      - No changes needed

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 29 Sep 2018 15:32:14 +0200

spectrwm (3.1.0-4) unstable; urgency=low

  * debhelper
    - Switch to using the dh sequencer, which actually fixes
      dependencies between targets instead of causing FTBFS

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 09 Apr 2018 20:56:30 +0200

spectrwm (3.1.0-3) unstable; urgency=low

  * rules
    - Fix dependencies between targets

  * Patches
    - U01-add-keywords-to-desktop-file.diff
      - Makes Lintian happy

  * Other
    - Update Standards-Version to 4.1.4
      - No changes needed

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 08 Apr 2018 16:20:51 +0200
