=== debian/control ===
--- 
+++ 
@@ -14,10 +14,12 @@
                libxcb-keysyms1-dev,
                libxcb-randr0-dev,
                libxcb-util0-dev,
+               libxcb-xfixes0-dev,
+               libxcb-xinput-dev,
                libxcb-xtest0-dev,
                libxft-dev
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://github.com/conformal/spectrwm
 Vcs-Git: https://salsa.debian.org/debian/spectrwm.git
 Vcs-Browser: https://salsa.debian.org/debian/spectrwm
