=== debian/watch ===
--- 
+++ 
@@ -1,5 +1,6 @@
 version=4
 opts=\
+pgpmode=none,\
 filenamemangle=s/^.*(\d+)_(\d+)_(\d+).*$/spectrwm-$1.$2.$3.tar.gz/ \
 \
 https://github.com/conformal/spectrwm/releases \
